Bug 1002322 - gluster volume rebalance displays wrong nodes
gluster volume rebalance displays wrong nodes
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.4.0
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 18:01 EDT by Bjoern Teipel
Modified: 2015-10-07 08:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 08:20:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bjoern Teipel 2013-08-28 18:01:42 EDT
Description of problem:

gluster volume rebalance displays wrong nodes, I see a bunch of localhost nodes oppose to the real name.
 
 sudo gluster volume rebalance mmimages1 status
                                    Node Rebalanced-files          size       scanned      failures         status run time in secs
                               ---------      -----------   -----------   -----------   -----------   ------------   --------------
                               localhost            22275       186.0MB        154974         10814    in progress         62691.00
                               localhost            22275       186.0MB        154974         10814    in progress         62691.00
                               localhost            22275       186.0MB        154974         10814    in progress         62691.00
                               localhost            22275       186.0MB        154974         10814    in progress         62691.00
                               localhost            22275       186.0MB        154974         10814    in progress         62691.00
                               localhost            22275       186.0MB        154974         10814    in progress         62691.00
                               localhost            22275       186.0MB        154974         10814    in progress         62691.00
                               localhost            22275       186.0MB        154974         10814    in progress         62691.00
                                  dfs008                0        0Bytes       1627563             0    in progress         62691.00



Volume structure :
Volume Name: mmimages1
Type: Distributed-Replicate
Volume ID: 20cd2531-19fa-4f8a-a869-a4036918f3b7
Status: Started
Number of Bricks: 4 x 2 = 8
Transport-type: tcp
Bricks:
Brick1: dfs001:/vol/mmimages1
Brick2: dfs002:/vol/mmimages1
Brick3: dfs003:/vol/mmimages1
Brick4: dfs004:/vol/mmimages1
Brick5: dfs005:/vol/mmimages1
Brick6: dfs006:/vol/mmimages1
Brick7: dfs007:/vol/mmimages1
Brick8: dfs008:/vol/mmimages1

Version-Release number of selected component (if applicable):

3.4.0


How reproducible:

Always with this command if rebalancing is running

Steps to Reproduce:
1.
2.
3.

Actual results:

See above

Expected results:

Same behavior like Gluster 3.3.2

Additional info:
Comment 1 Bjoern Teipel 2013-08-31 19:15:58 EDT
First node list even the status of the rebalance. I can't lookup the rebalance info on hq-dfs-001.
I attached some logs at #1003216
Comment 2 Bjoern Teipel 2013-09-01 00:51:55 EDT
You can actually improve the situation with a gluster peer status. After that command, the node descriptions are coming back.
Comment 3 Niels de Vos 2015-05-17 17:57:19 EDT
GlusterFS 3.7.0 has been released (http://www.gluster.org/pipermail/gluster-users/2015-May/021901.html), and the Gluster project maintains N-2 supported releases. The last two releases before 3.7 are still maintained, at the moment these are 3.6 and 3.5.

This bug has been filed against the 3,4 release, and will not get fixed in a 3.4 version any more. Please verify if newer versions are affected with the reported problem. If that is the case, update the bug with a note, and update the version if you can. In case updating the version is not possible, leave a comment in this bug report with the version you tested, and set the "Need additional information the selected bugs from" below the comment box to "bugs@gluster.org".

If there is no response by the end of the month, this bug will get automatically closed.

Note You need to log in before you can comment on or make changes to this bug.